import config, filter
import wavelets/zou, wavelets/daubechies_d4

def filter_print(Filter *f):
    print("h:")
    for int i = 0; i < f->hn; i++:
        print(" %3.3f", f->h[i])
    print("\n")
    print("g:")
    for int i = 0; i < f->gn; i++:
        print(" %3.3f", f->g[i])
    print("\n")

int def test_zou():
    V alpha[] = {pi / 12}
    Filter *zf = zou_get_filter(1, alpha)
    print("zou\n")
    filter_print(zf)

    Filter *df = d4_get_filter()
    print("d4\n")
    filter_print(df)
    
    
    return 0